## org.opengis.referencing.datum
Interface ImageDatum

All Superinterfaces:
  Datum, IdentifiedObject

    @UML(identifier="CD_ImageDatum",
         specification=ISO_19111)
    public interface ImageDatum

extends Datum

Defines the origin of an image coordinate reference system. An image datum is used in a local context only. For an image datum, the anchor point is usually either the centre of the image or the corner of the image.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface Datum
`ANCHOR_POINT_KEY, DOMAIN_OF_VALIDITY_KEY, REALIZATION_EPOCH_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`PixelInCell` `getPixelInCell()` Specification of the way the image grid is associated with the image data attributes.

Methods inherited from interface Datum
`getAnchorPoint, getDomainOfValidity, getRealizationEpoch, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getPixelInCell

    @UML(identifier="pixelInCell",
         obligation=MANDATORY,
         specification=ISO_19111)
    PixelInCell getPixelInCell()

  Specification of the way the image grid is associated with the image data attributes.

  Returns:
    The way image grid is associated with image data attributes.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.